You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-08-07 16:50:29

Pheara_KH
Guest
From: Cambodia
Registered: 2017-08-07
Posts: 7
Website

Receivers IMAP functions when upgrade glpi 8.5 to 9.1.6

After i upgrade my glpi from 8.5 to 9.1.6 I got error like this

The LDAP extension of your PHP parser isn't installed

Unable to use LDAP as external source of connection

Your PHP parser was compiled without the IMAP functions

Unable to use email server as external source of connection

I already install php 5.4

Offline

#2 2017-08-07 17:05:59

evangineer
Guest
Registered: 2017-07-28
Posts: 7

Re: Receivers IMAP functions when upgrade glpi 8.5 to 9.1.6

Hi,

You don't say what distro you are using. 

If you are using Ubuntu or Debian, you will need to install the php-ldap and php-imap packages.

If you are using something else, you need to install the equivalent packages.

Offline

#3 2017-08-07 17:31:58

Pheara_KH
Guest
From: Cambodia
Registered: 2017-08-07
Posts: 7
Website

Re: Receivers IMAP functions when upgrade glpi 8.5 to 9.1.6

I am using CentOS 6.5
and i already install like this

php-imap-5.3.3-49.el6.x86_64
php-ldap-5.3.3-49.el6.x86_64

Offline

#4 2017-08-07 17:52:31

evangineer
Guest
Registered: 2017-07-28
Posts: 7

Re: Receivers IMAP functions when upgrade glpi 8.5 to 9.1.6

If you are using PHP 5.4, then it looks like the 5.3.3 packages for php-imap and php-ldap are the wrong versions. 

You need to install the 5.4 versions of those packages to match the version of php you are using.

Offline

#5 2017-08-08 03:45:17

Pheara_KH
Guest
From: Cambodia
Registered: 2017-08-07
Posts: 7
Website

Re: Receivers IMAP functions when upgrade glpi 8.5 to 9.1.6

Could you tell me, how to install them?

Offline

#6 2017-08-08 08:03:32

Pheara_KH
Guest
From: Cambodia
Registered: 2017-08-07
Posts: 7
Website

Re: Receivers IMAP functions when upgrade glpi 8.5 to 9.1.6

I fixed it, thank Evangineer.

Offline

Board footer

Powered by FluxBB